apiVersion: v1
kind: Service
metadata:
  annotations:
    meta.helm.sh/release-name: gitea
    meta.helm.sh/release-namespace: gitea
  labels:
    app: gitea
    app.kubernetes.io/instance: gitea
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: gitea
    app.kubernetes.io/version: 1.22.3
    helm.sh/chart: gitea-10.6.0
    version: 1.22.3
  name: gitea-http
  namespace: gitea
spec:
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  ports:
    - name: http
      port: 3000
      protocol: TCP
      targetPort: 3000
  selector:
    app.kubernetes.io/instance: gitea
    app.kubernetes.io/name: gitea
  sessionAffinity: None
  type: ClusterIP